<?xml version="1.0" encoding="UTF-8"?>
<CodeBlocks_project_file>
	<FileVersion major="1" minor="6"/>
	<Project>
		<Option title="challenge4"/>
		<Option makefile_is_custom="1"/>
		<Option compiler="gcc"/>
		<Option virtualFolders="CMake Files\;"/>
		<Build>
			<Target title="all">
				<Option working_dir="/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug"/>
				<Option type="4"/>
				<MakeCommands>
					<Build command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 all"/>
					<CompileFile command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 &quot;$file&quot;"/>
					<Clean command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 clean"/>
					<DistClean command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 clean"/>
				</MakeCommands>
			</Target>
			<Target title="rebuild_cache">
				<Option working_dir="/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug"/>
				<Option type="4"/>
				<MakeCommands>
					<Build command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 rebuild_cache"/>
					<CompileFile command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 &quot;$file&quot;"/>
					<Clean command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 clean"/>
					<DistClean command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 clean"/>
				</MakeCommands>
			</Target>
			<Target title="edit_cache">
				<Option working_dir="/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug"/>
				<Option type="4"/>
				<MakeCommands>
					<Build command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 edit_cache"/>
					<CompileFile command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 &quot;$file&quot;"/>
					<Clean command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 clean"/>
					<DistClean command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 clean"/>
				</MakeCommands>
			</Target>
			<Target title="challenge4">
				<Option output="/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/libchallenge4.so" prefix_auto="0" extension_auto="0"/>
				<Option working_dir="/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug"/>
				<Option object_output="./"/>
				<Option type="3"/>
				<Option compiler="gcc"/>
				<Compiler>
					<Add directory="/usr/include/c++/9"/>
					<Add directory="/usr/include/x86_64-linux-gnu/c++/9"/>
					<Add directory="/usr/include/c++/9/backward"/>
					<Add directory="/usr/lib/gcc/x86_64-linux-gnu/9/include"/>
					<Add directory="/usr/include/x86_64-linux-gnu"/>
					<Add directory="/usr/include"/>
				</Compiler>
				<MakeCommands>
					<Build command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 challenge4"/>
					<CompileFile command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 &quot;$file&quot;"/>
					<Clean command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 clean"/>
					<DistClean command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 clean"/>
				</MakeCommands>
			</Target>
			<Target title="challenge4/fast">
				<Option output="/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/libchallenge4.so" prefix_auto="0" extension_auto="0"/>
				<Option working_dir="/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug"/>
				<Option object_output="./"/>
				<Option type="3"/>
				<Option compiler="gcc"/>
				<Compiler>
					<Add directory="/usr/include/c++/9"/>
					<Add directory="/usr/include/x86_64-linux-gnu/c++/9"/>
					<Add directory="/usr/include/c++/9/backward"/>
					<Add directory="/usr/lib/gcc/x86_64-linux-gnu/9/include"/>
					<Add directory="/usr/include/x86_64-linux-gnu"/>
					<Add directory="/usr/include"/>
				</Compiler>
				<MakeCommands>
					<Build command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 challenge4/fast"/>
					<CompileFile command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 &quot;$file&quot;"/>
					<Clean command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 clean"/>
					<DistClean command="/usr/bin/make -j12 -f &quot;/home/aard/Projects/GB/cpp_course1/lib_challenge4/cmake-build-debug/Makefile&quot;  VERBOSE=1 clean"/>
				</MakeCommands>
			</Target>
		</Build>
		<Unit filename="/home/aard/Projects/GB/cpp_course1/lib_challenge4/library.cpp">
			<Option target="challenge4"/>
		</Unit>
		<Unit filename="/home/aard/Projects/GB/cpp_course1/lib_challenge4/library.h">
			<Option target="challenge4"/>
		</Unit>
		<Unit filename="/home/aard/Projects/GB/cpp_course1/lib_challenge4/CMakeLists.txt">
			<Option virtualFolder="CMake Files\"/>
		</Unit>
	</Project>
</CodeBlocks_project_file>
